<?php
include_once('nicomodule.inc');
class ControllerModuleNicogrid  extends NicoModule
{
	public function index($setting) 
	{
		if (!$this->is_filter_ok($setting)) return false;

		$this->load->model('tool/nicoimage');

		$data = array();
		$data['grid'] = json_decode(html_entity_decode($setting['grid']), true);
		$code = str_replace('-', '$', $this->language->get('code'));

		foreach ($data['grid'] as &$item)
		{
			if (isset($item['img'])) $item['img'] = $this->model_tool_nicoimage->cropsize($item['img'], 100 * $item['size_x'] , 100 * $item['size_y']);
			
			$item['title'] = isset($item['title_' . $code])?$item['title_' . $code]:'';
			$item['subtitle'] = isset($item['subtitle_' . $code])?$item['subtitle_' . $code]:'';
			$item['button'] = isset($item['button_' . $code])?$item['button_' . $code]:'';
			$item['url'] = isset($item['url_' . $code])?$item['url_' . $code]:'';
		}
		
		
		$data['_this'] = $this;
		$data['button_cart'] = $this->language->get('button_cart');
		$data['width'] = $setting['width'];
		$data['height'] = $setting['height'];

		$data['medium_width'] = $setting['medium_width'];
		$data['small_width'] = $setting['small_width'];
		$data['extrasmall_width'] = $setting['extrasmall_width'];
		$data['tiny_width'] = $setting['tiny_width'];


		$data['margin_top'] = $setting['margin_top'];
		$data['margin_left'] = $setting['margin_left'];

		$opencart2 = ((int)substr(VERSION,0,1) == 2);

		if ($opencart2)
		{
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/nicogrid.tpl')) 
			{
				return $this->load->view($this->config->get('config_template') . '/template/module/nicogrid.tpl', $data);
			} else {
				return $this->load->view('default/template/module/nicogrid.tpl', $data);
			}
		} else
		{
			$this->data = $data;
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/nicogrid.tpl')) 
			{
				$this->template = $this->config->get('config_template') . '/template/module/nicogrid.tpl';
			} else {
				$this->template = 'default/template/module/nicogrid.tpl';
			}

			$this->render();
		}
	}
}
